#ifndef PRODOTTO_H_
#define PRODOTTO_H_
#include <iostream>
#include <cstdlib>
#include <string>

using namespace std;

class Prodotto{
      protected:
                char* descrizione;
      public:
             Prodotto(){descrizione=""; cout<<"\n costruttore di prodotto chiamato";}
             virtual void stampa_a_viedo()=0;
             virtual ~Prodotto(){delete[]descrizione; cout<<"\nDistruttore di prodotto chiamato";}
             };
             #endif
